Source: golang-github-thejerf-suture
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Aloïs Micard <creekorful@debian.org>
Build-Depends: debhelper-compat (= 13), dh-golang, golang-any
Standards-Version: 4.6.0
Homepage: https://github.com/thejerf/suture
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-thejerf-suture
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-thejerf-suture.git
XS-Go-Import-Path: github.com/thejerf/suture,
                   gopkg.in/thejerf/suture.v1,
                   gopkg.in/thejerf/suture.v3,
                   gopkg.in/thejerf/suture.v4
Testsuite: autopkgtest-pkg-go
Rules-Requires-Root: no

Package: golang-github-thejerf-suture-dev
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: supervisor trees for Go
 Suture provides Erlang-ish supervisor trees for Go.
 "Supervisor trees" -> "sutree" -> "suture" -> holds your code together
 when it's trying to die. It is intended to deal gracefully with the real
 failure cases that can occur with supervision trees (such as burning all
 your CPU time endlessly restarting dead services), while also making no
 unnecessary demands on the "service" code, and providing hooks to perform
 adequate logging with in a production environment.
